"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMac = exports.isWin = exports.envrel = exports.homerel = exports.parseUserDirs = exports.extraEnv = void 0;
var os_1 = require("os");
var path_1 = require("path");
exports.extraEnv = {};
function parseUserDirs(content) {
    // TODO support absolute paths
    return content
        .split("\n")
        .map(function (s) { return s.match(/^XDG_(\w+)_DIR="\$HOME\/(.+)"$/); })
        .filter(function (p) { return p !== null; })
        .map(function (match) { return [match[1], match[2]]; });
}
exports.parseUserDirs = parseUserDirs;
function homerel() {
    var paths = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        paths[_i] = arguments[_i];
    }
    return path_1.resolve.apply(void 0, __spreadArrays([os_1.homedir()], paths));
}
exports.homerel = homerel;
function envrel(env) {
    var _a;
    var paths = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        paths[_i - 1] = arguments[_i];
    }
    var val = (_a = exports.extraEnv[env]) !== null && _a !== void 0 ? _a : process.env[env];
    if (val) {
        return path_1.resolve.apply(void 0, __spreadArrays([val], paths));
    }
    return null;
}
exports.envrel = envrel;
exports.isWin = function () { return process.platform === "win32"; };
exports.isMac = function () { return process.platform === "darwin"; };
